/*
 * Copyright (c) 2009-2012 Clark & Parsia, LLC. <http://www.clarkparsia.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.clarkparsia.empire.lazyload;

import java.util.Collection;

public interface BusinessObject
{
    public String getUri();

    public String getTitle();
    public void setTitle(String t);

    public void add(Event event);
    public Collection<Event> getEvents();
    public Collection<Event> getEvents(String uri);
    public <T extends Event> Collection<T> getEvents(Class<T> type,
                                                            String uri);
}